Index: dihedr.f
===================================================================
--- dihedr.f	(revision 87ddcf7a314d90070d607f0ec7ac0a700b843abc)
+++ dihedr.f	(revision e40e335d8909b50cd784019735fcdb0c28ee19bb)
@@ -1,30 +1,25 @@
-! **************************************************************
-!
-! This file contains the subroutines: dihedr,valang
-!
-! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-!                      Shura Hayryan, Chin-Ku 
-! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-!                      Jan H. Meinke, Sandipan Mohanty
-!
-! **************************************************************
+c **************************************************************
+c
+c This file contains the subroutines: dihedr,valang
+c
+c Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
+c                      Shura Hayryan, Chin-Ku 
+c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+c                      Jan H. Meinke, Sandipan Mohanty
+c
+c **************************************************************
 
       real*8 function dihedr(i1,i2,i3,i4)
 
-! .............................................
-!  PURPOSE: return dihedral angle (i1,i2,i3,i4)
-!           [in rad.]
-!
-!  INPUT:   i1,i2,i3,i4 - indices of four atoms
-!
-!  CALLS:   none
-! .............................................
+c .............................................
+c  PURPOSE: return dihedral angle (i1,i2,i3,i4)
+c           [in rad.]
+c
+c  INPUT:   i1,i2,i3,i4 - indices of four atoms
+c
+c  CALLS:   none
+c .............................................
 
       include 'INCL.H'
-      
-      integer i1, i2, i3, i4
-      
-      double precision x1, y1, z1, x2, y2, z2, ux1,uy1, uz1, a, u, u1,
-     &                 u2, ux2, uy2, uz2
 
       x1=xat(i2)-xat(i1)
@@ -54,15 +49,14 @@
         dihedr=acos(a)
         if (ux1*(uy2*z2-uz2*y2)+uy1*(uz2*x2-ux2*z2)+
-     &      uz1*(ux2*y2-uy2*x2).lt.zero) dihedr =-dihedr
+     #      uz1*(ux2*y2-uy2*x2).lt.zero) dihedr =-dihedr
         return
       else
-        write (logString, '(a,4i5)')
-     &     ' dihedr> Error in coordinates of atoms #: '
-     &                     ,i1,i2,i3,i4
+        write (*,'(a,4i5)')' dihedr> Error in coordinates of atoms #: '
+     #                     ,i1,i2,i3,i4
 
-        write (logString, *) 'stored coordinates are xvals :',
-     &       xat(i1),xat(i2),xat(i3),xat(i4) 
-        write (logString, *) 'yvals:', yat(i1),yat(i2),yat(i3),yat(i4) 
-        write (logString, *) 'zvals:', zat(i1),zat(i2),zat(i3),zat(i4) 
+        write (*,*) 'stored coordinates are xvals :',
+     #       xat(i1),xat(i2),xat(i3),xat(i4) 
+        write (*,*) 'yvals:', yat(i1),yat(i2),yat(i3),yat(i4) 
+        write (*,*) 'zvals:', zat(i1),zat(i2),zat(i3),zat(i4) 
         call outvar(0,'crash.var')        
         stop
@@ -70,22 +64,17 @@
 
       end
-! ************************************
+c ************************************
       real*8 function valang(i1,i2,i3)
 
-! .........................................
-!  PURPOSE: return valence angle (i1,i2,i3)
-!           [in rad.] with 'i2' as vertex
-!
-!  INPUT:   i1,i2,i3 - indices of 3 atoms
-!
-!  CALLS:   none
-! .............................................
+c .........................................
+c  PURPOSE: return valence angle (i1,i2,i3)
+c           [in rad.] with 'i2' as vertex
+c
+c  INPUT:   i1,i2,i3 - indices of 3 atoms
+c
+c  CALLS:   none
+c .............................................
 
       include 'INCL.H'
-      
-      integer i1, i2, i3
-      
-      double precision h1, h2, h3, x1, x2, x3, y1, y2, y3, x, y, u, a
-      
       h1=xat(i2)
       h2=yat(i2)
@@ -111,11 +100,10 @@
 
       else
-        write (logString, '(a,3i5)')
-     &   ' valang> Error in coordinates of atoms #: '
-     &                     ,i1,i2,i3
-        write (logString, *) 'stored coordinates are xvals :',
-     &       xat(i1),xat(i2),xat(i3) 
-        write (logString, *) 'yvals:', yat(i1),yat(i2),yat(i3) 
-        write (logString, *) 'zvals:', zat(i1),zat(i2),zat(i3) 
+        write (*,'(a,3i5)')' valang> Error in coordinates of atoms #: '
+     #                     ,i1,i2,i3
+        write (*,*) 'stored coordinates are xvals :',
+     #       xat(i1),xat(i2),xat(i3) 
+        write (*,*) 'yvals:', yat(i1),yat(i2),yat(i3) 
+        write (*,*) 'zvals:', zat(i1),zat(i2),zat(i3) 
         call outvar(0,'crash.var') 
         stop
Index: doc/manual.lyx
===================================================================
--- doc/manual.lyx	(revision 87ddcf7a314d90070d607f0ec7ac0a700b843abc)
+++ doc/manual.lyx	(revision e40e335d8909b50cd784019735fcdb0c28ee19bb)
@@ -1,3 +1,3 @@
-#LyX 1.5.6 created this file. For more info see http://www.lyx.org/
+#LyX 1.5.0rc2 created this file. For more info see http://www.lyx.org/
 \lyxformat 276
 \begin_document
@@ -39,6 +39,5 @@
 \tracking_changes false
 \output_changes false
-\author "" 
-\author "" 
+\author "Jan H. Meinke" 
 \end_header
 
@@ -2537,11 +2536,5 @@
  original ECEPP/2/3 and FLEX potentials.
  However, it should be noted that SMMP has its own numeration of the atom
- types and the types of torsions (see 
-\begin_inset LatexCommand cite
-key "Eisenmenger2001,Eisenmenger2006"
-
-\end_inset
-
- for more details).
+ types and the types of torsions (see [1,2] for more details).
 \end_layout
 
Index: energy.f
===================================================================
--- energy.f	(revision 87ddcf7a314d90070d607f0ec7ac0a700b843abc)
+++ energy.f	(revision e40e335d8909b50cd784019735fcdb0c28ee19bb)
@@ -1,32 +1,27 @@
-! **************************************************************
-!
-! This file contains the subroutines: energy, enyinternal
-!
-! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-!                      Shura Hayryan, Chin-Ku
-! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-!                      Jan H. Meinke, Sandipan Mohanty
-!
-! **************************************************************
+c **************************************************************
+c
+c This file contains the subroutines: energy, enyinternal
+c
+c Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
+c                      Shura Hayryan, Chin-Ku 
+c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+c                      Jan H. Meinke, Sandipan Mohanty
+c
+c **************************************************************
 
       real*8 function energy()
-! ------------------------------------------
-! PURPOSE: calculate the *total* energy of the system
-!
-! ientyp = 0 for ECEPP3, 1 for FLEX, 2 for Lund
-!          3 for ECEPP3 with Abagyan corrections
-!
-! CALLS:  enyflx,enyreg,enyshe,enysol,esolan,setvar, eninteract
-!
-! -------------------------------------------------
+c ------------------------------------------
+c PURPOSE: calculate the *total* energy of the system
+c
+c ientyp = 0 for ECEPP3, 1 for FLEX, 2 for Lund
+c          3 for ECEPP3 with Abagyan corrections
+c
+c CALLS:  enyflx,enyreg,enyshe,enysol,esolan,setvar, eninteract
+c
+c -------------------------------------------------
 
       include 'INCL.H'
-      double precision esm, teysl, enyshe, enyflx, enylun, enyreg
-      double precision enysol, esolan, exvlun, eyabgn, eninteract
-
-      integer i
-
       double precision teysm, teyel, teyvw, teyhb, teyvr
-!      print *,'energy function with ientyp  = ',ientyp
+c      print *,'energy function with ientyp  = ',ientyp   
       esm = 0.d0
       teysm = 0.d0
@@ -37,5 +32,5 @@
       teysl = 0.d0
 
-      do i = 1,ntlml
+      do i = 1,ntlml  
          eysm=0
          eyel=0
@@ -49,6 +44,6 @@
         if (ientyp.eq.0.or.ientyp.eq.3) then
           esm=esm+enyshe(i)
-        else if (ientyp.eq.1) then
-          esm=esm+enyflx(i)
+        else if (ientyp.eq.1) then 
+          esm=esm+enyshe(i)
         else if (ientyp.eq.2) then
            esm=enylun(i)
@@ -60,46 +55,44 @@
         teyvr = teyvr + eyvr
         if (ientyp.eq.2) then
-!     The Lund term stores the hydrophobicity energy in eysl
+c     The Lund term stores the hydrophobicity energy in eysl
            teysl = teysl + eysl
-        else
-!     .. and the excluded volume term in eyvw, which is calculated once.
+        else 
+c     .. and the excluded volume term in eyvw, which is calculated once.
            teyvw = teyvw + eyvw
         endif
 
-        if (ireg.eq.1)  eyrg=enyreg(i)
+        if (ireg.eq.1)  eyrg=enyreg(i)        
 
       enddo
 
-      if (ientyp.ne.2) then
-!     Don't touch eysl if using Lund potential, as enylun stores
-!     its hydrophobicity term there.
+      if (ientyp.ne.2) then 
+c     Don't touch eysl if using Lund potential, as enylun stores 
+c     its hydrophobicity term there.
          if (itysol.gt.0) then
             esm=esm+enysol(0)
             teysl = teysl+eysl
-         else if (itysol.lt.0) then
-            eysl = esolan(0)
-            teysl = teysl + eysl
-            esm = esm + eysl
+!     elseif (itysol.lt.0) then
+!     esm=esm+esolan(0)
          else
             eysl=0.d0
          endif
-      else
-!     Add excluded volume term and save it in eyvw
+      else 
+c     Add excluded volume term and save it in eyvw
          esm=esm+exvlun(0)
          teyvw = teyvw+eyvw
       endif
 
-! The Abagyan entropic corrections depend on the area exposed to the
-! solvent for each residue. So, this term has to be evaluated after the
-! solvent term.
+c The Abagyan entropic corrections depend on the area exposed to the 
+c solvent for each residue. So, this term has to be evaluated after the
+c solvent term.
       eyab=0.0
       if (ientyp.eq.3) then
-         do i = 1,ntlml
+         do i = 1,ntlml  
             eyab=eyab+eyabgn(i)
          enddo
       endif
       esm=esm+eyab
-! Partial energies for the entire system. If you need the partial
-! energies for a single molecule call enyinternal.
+c Partial energies for the entire system. If you need the partial
+c energies for a single molecule call enyinternal.
       eysm = teysm
       eyel = teyel
@@ -108,8 +101,8 @@
       eyvr = teyvr
       eysl = teysl
-
+      
       if (ientyp.ne.2) then
-!     This is temporary. eninteract() does not yet know how to calculate
-!     interactions using the Lund potential.
+c     This is temporary. eninteract() does not yet know how to calculate
+c     interactions using the Lund potential.
          energy = esm + eninteract()
          return
@@ -119,25 +112,20 @@
       end
 
-!c Calculates the internal energy for a single molecule.
-!  All the partial energies are thus set to their values for molecule
-!  nml.
-!
-!  @param nml the ID of the molecule
-!  @return internal energy of a single molecule
-!
-!  @author Jan H. Meinke <j.meinke@fz-juelich.de>
+cc Calculates the internal energy for a single molecule.
+c  All the partial energies are thus set to their values for molecule
+c  nml. 
+c
+c  @param nml the ID of the molecule
+c  @return internal energy of a single molecule
+c
+c  @author Jan H. Meinke <j.meinke@fz-juelich.de>
       real*8 function enyinternal(nml)
 
-!f2py intent(in) nml
-
+cf2py intent(in) nml
+      
       include 'INCL.H'
-      double precision esm, enyshe, enyflx, enylun, enyreg, enysol
-      double precision esolan, exvlun, eyabgn
-
-      integer nml, i
-
       esm = 0.d0
 
-      call setvar(nml,vlvr)
+      call setvar(nml,vlvr)  
 
       if (ientyp.eq.0.or.ientyp.eq.3) then
@@ -154,15 +142,15 @@
          if (itysol.gt.0) then
             esm=esm+enysol(nml)
-      elseif (itysol.lt.0) then
-            esm=esm+esolan(nml)
+!     elseif (itysol.lt.0) then
+!     esm=esm+esolan(nml)
          else
             eysl=0.d0
          endif
-      else
+      else 
          esm=esm+exvlun(nml)
       endif
-! The Abagyan entropic corrections depend on the area exposed to the
-! solvent for each residue. So, this term has to be evaluated after the
-! solvent term.
+c The Abagyan entropic corrections depend on the area exposed to the 
+c solvent for each residue. So, this term has to be evaluated after the
+c solvent term.
       eyab=0.0
       if (ientyp.eq.3) then
Index: eninteract.f
===================================================================
--- eninteract.f	(revision 87ddcf7a314d90070d607f0ec7ac0a700b843abc)
+++ eninteract.f	(revision e40e335d8909b50cd784019735fcdb0c28ee19bb)
@@ -1,24 +1,19 @@
-! *********************************************************************
-! This file contains eninteract
-!
-! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-!                      Jan H. Meinke, Sandipan Mohanty
-!
-!
-! Description: Calculates the interaction energy between molecules
-! The function assumes that all molecules are up-to-date. If in doubt
-! call energy first.
-! The energy function is based on the ECEPP/3 dataset.
-!
-! TODO: Intermolecular interaction energy for FLEX and ECEPP/2
+c *********************************************************************
+c This file contains eninteract
+c
+c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+c                      Jan H. Meinke, Sandipan Mohanty
+c
+c
+c Description: Calculates the interaction energy between molecules
+c The function assumes that all molecules are up-to-date. If in doubt
+c call energy first.
+c The energy function is based on the ECEPP/3 dataset.
+c
+c TODO: Intermolecular interaction energy for FLEX and ECEPP/2
       real*8 function eninteract()
 
         include 'INCL.H'
-
-      double precision cqi, xi, yi, zi, xj, yj, zj, xij, yij, zij, rij2
-      double precision rij4, rij6, rij, sr, ep
-
-      integer iml, jml, ires, jres, iat, ity, jat, jty
-
+                
         eysmi=0.0
         eyeli=0.0
@@ -31,9 +26,9 @@
               do jres= irsml1(jml), irsml2(jml)
                 do iat = iatrs1(ires), iatrs2(ires)
-! Atom class of current atom
+c Atom class of current atom
                   ity=ityat(iat)
-! Point charge at current atom
+c Point charge at current atom
                   cqi=conv*cgat(iat)
-! Cartesian coordinates of current atom
+c Cartesian coordinates of current atom
                   xi=xat(iat)
                   yi=yat(iat)
@@ -41,20 +36,20 @@
 
                   do jat = iatrs1(jres), iatrs2(jres)
-! Atom type of partner
+c Atom type of partner
                     jty=ityat(jat)
-! Differences in cartesian coordinates
+c Differences in cartesian coordinates
                     xj=xat(jat)
                     yj=yat(jat)
                     zj=zat(jat)
-
+                    
                     xij=xat(jat)-xi
                     yij=yat(jat)-yi
                     zij=zat(jat)-zi
-! Cartesian distance and higher powers
+c Cartesian distance and higher powers
                     rij2=xij*xij+yij*yij+zij*zij
                     rij4=rij2*rij2
                     rij6=rij4*rij2
                     rij=sqrt(rij2)
-! Are we using a distance dependent dielectric constant?
+c Are we using a distance dependent dielectric constant?
                     if(epsd) then
                       sr=slp*rij
@@ -63,16 +58,16 @@
                       ep = 1.0d0
                     end if
-! Coulomb interaction
+c Coulomb interaction
                     eyeli=eyeli+cqi*cgat(jat)/(rij*ep)
-! If the two atoms cannot form a hydrogen bond use 6-12 Lennard-Jones potential
+c If the two atoms cannot form a hydrogen bond use 6-12 Lennard-Jones potential
                     if (ihbty(ity,jty).eq.0) then
                       eyvwi=eyvwi+aij(ity,jty)/(rij6*rij6)
-     &                          -cij(ity,jty)/rij6
+     #                          -cij(ity,jty)/rij6
                     else
-! For hydrogen bonding use 10-12 Lennard-Jones potential
+c For hydrogen bonding use 10-12 Lennard-Jones potential
                       eyhbi=eyhbi+ahb(ity,jty)/(rij6*rij6)
-     &                          -chb(ity,jty)/(rij6*rij4)
+     #                          -chb(ity,jty)/(rij6*rij4)
                     endif
-                  enddo
+                  enddo 
                 enddo
               enddo
@@ -83,4 +78,4 @@
         eysmi = eyeli + eyvwi + eyhbi
         eninteract = eysmi
-        return
-      end
+        return 
+      end   
Index: enyflx.f
===================================================================
--- enyflx.f	(revision 87ddcf7a314d90070d607f0ec7ac0a700b843abc)
+++ enyflx.f	(revision e40e335d8909b50cd784019735fcdb0c28ee19bb)
@@ -1,38 +1,30 @@
-! **************************************************************
-!
-! This file contains the subroutines: enyflx
-!
-! Copyright 2003       Frank Eisenmenger, U.H.E. Hansmann,
-!                      Shura Hayryan, Chin-Ku 
-! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-!                      Jan H. Meinke, Sandipan Mohanty
-!
-! **************************************************************
+c **************************************************************
+c
+c This file contains the subroutines: enyflx
+c
+c Copyright 2003       Frank Eisenmenger, U.H.E. Hansmann,
+c                      Shura Hayryan, Chin-Ku 
+c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+c                      Jan H. Meinke, Sandipan Mohanty
+c
+c **************************************************************
 
 
       real*8 function enyflx(nml)
 
-! .......................................................................
-!
-!  PURPOSE: Calculate internal energy of molecule 'nml' with FLEX dataset
-!
-!  CALLS: none
-!
-! .......................................................................
+c .......................................................................
+c
+c  PURPOSE: Calculate internal energy of molecule 'nml' with FLEX dataset
+c
+c  CALLS: none
+c
+c .......................................................................
 
       include 'INCL.H'
-      
-      integer nml
-      
-      integer ntlvr, i, i14, i1, i1s, i2, i2s, ia, ic, ijhb, ifivr, 
-     &        ims, io, iowh, it, jowh, ity, iv, ivw, j, jty
-      double precision cqi, cth, qp, e0, evw, vr, ep, rij, py, px, pz, 
-     &                 rij2, rij6, rij12, sr, xij, xi, yij, xj, yj, yi, 
-     &                 zj, zi, zij
 
       ntlvr=nvrml(nml)
       if (ntlvr.eq.0) then
-        write (logString, '(a,i4)')
-     &           ' enyflx> No variables defined in molecule #',nml
+        write (*,'(a,i4)')
+     #           ' enyflx> No variables defined in molecule #',nml
         return
       endif
@@ -100,5 +92,5 @@
                 rij=sqrt(rij2)
                 if(epsd) then
-! --------------------------------- distance dependent dielectric constant
+c --------------------------------- distance dependent dielectric constant
                 sr=slp_f*rij
                 ep=plt-(sr*sr+2.0*sr+2.0)*(plt-1.0)*exp(-sr)/2.0
@@ -127,10 +119,10 @@
 
                   cth=(xij*px+yij*py+zij*pz)/(rij*
-     &                 sqrt(px*px+py*py+pz*pz))
+     #                 sqrt(px*px+py*py+pz*pz))
 
                   if (cth.gt.0.0) then
                     eyhb=eyhb+ evw + cth*(
-     &                   (ahb(ity,jty)-aij(ity,jty))/rij12-
-     &                   (chb(ity,jty)-cij(ity,jty))/rij6 )
+     #                   (ahb(ity,jty)-aij(ity,jty))/rij12-
+     #                   (chb(ity,jty)-cij(ity,jty))/rij6 )
                   else                             ! No Hydrogen Bond
                     eyvw=eyvw + evw
@@ -161,5 +153,5 @@
               rij=sqrt(rij2)
               if(epsd) then
-! --------------------------------- distance dependent dielectric constant
+c --------------------------------- distance dependent dielectric constant
               sr=slp_f*rij
               ep=plt-(sr*sr+2.0*sr+2.0)*(plt-1.)*exp(-sr)/2.0
@@ -188,10 +180,10 @@
 
                 cth=(xij*px+yij*py+zij*pz)/(rij*
-     &               sqrt(px*px+py*py+pz*pz))
+     #               sqrt(px*px+py*py+pz*pz))
 
                 if (cth.gt.0.0) then
                   eyhb=eyhb+ evw + cth*(
-     &                 (ahb(ity,jty)-a14(ity,jty))/rij12-
-     &                 (chb(ity,jty)-cij(ity,jty))/rij6 )
+     #                 (ahb(ity,jty)-a14(ity,jty))/rij12-
+     #                 (chb(ity,jty)-cij(ity,jty))/rij6 )
                 else                             ! No Hydrogen Bond
                   eyvw=eyvw + evw
